#include <bits/stdc++.h>
using namespace std;
float p,q,r,L,R,p1,q1,r1,br;
int main ()
{
    cin>>p>>q>>r>>L>>R;
    for(int i=L;i<=R;i++)
    {
        p1=ceil(i/p);
        q1=ceil(i/q);
        r1=ceil(i/r);
        if(p1+q1+r1<=i)
        {
            br++;
        }
    }
    cout<<br<<endl;
return 0;
}